Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.trans
Class MfTranInterfaceImpl

    java.lang.Object
      com.sun.mfwk.trans.MfTranInterfaceImpl

All Implemented Interfaces:
  MfTranInterface

Direct Known Subclasses:
  MfGenericTransactionImpl

public abstract class MfTranInterfaceImpl
extends java.lang.Object
implements MfTranInterface

Manages errors for transaction classes.

Constructor Summary
`MfTranInterfaceImpl()`

Method Summary
`int` | `getErrorCode()` Returns the error code.
`java.lang.String` | `getErrorMessage(int code)` Returns a string message describing the error.
`void` | `setErrorCode(int code)` Set the error code.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MfTranInterfaceImpl

    public MfTranInterfaceImpl()

Method Detail

### getErrorCode

    public int getErrorCode()

  Description copied from interface: `MfTranInterface`
  Returns the error code. The error code may change any time a method of the object is executed.

  Specified by:
    `getErrorCode` in interface `MfTranInterface`

### setErrorCode

    public void setErrorCode(int code)

  Description copied from interface: `MfTranInterface`
  Set the error code.

  Specified by:
    `setErrorCode` in interface `MfTranInterface`
  Parameters:
    `code` - the error code

### getErrorMessage

    public java.lang.String getErrorMessage(int code)

  Description copied from interface: `MfTranInterface`
  Returns a string message describing the error. If the errorCode is not valid, it returns null.

  Specified by:
    `getErrorMessage` in interface `MfTranInterface`
  Parameters:
    `code` - the error code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD